Rejected from iOS, UIRequiredDeviceCapabilities won't install on iPad

Hello! My team is publishing our managed expo app to the iOS app store, but it’s getting rejected with

…we were unable to install the app on iPad. The UIRequiredDeviceCapabilities key in the Info.plist is set in such a way that the app will not install on an iPad.

I’ve searched the forums and past slack threads (found this forums post and this slack thread) but none appear to give a resolution. We’ve submitted builds with both "supportsTablet": true and unset supportsTablet in our app.json. We don’t set UIRequiredDeviceCapabilities, but we have set UIBackgroundModes. Looking at Info.plist in the ipa, I see

<key>UIRequiredDeviceCapabilities</key>
<array/>

which seems to indicate that UIRequiredDeviceCapabilities is an empty array.

We don’t intend for our app to be used on the iPad, but it seems from my reading that Apple requires apps to be compatible across platforms?

We are using Expo SDK version 37.0.0 in the managed (non-ejected) workflow, built to a standalone apps on iOS and Android using the Expo build service. What are we missing? Any help would be greatly appreciated!

I don’t think this is correct. Many, many iOS apps are iPhone only. I think simply setting supportsTablet to false would fix your problem, as then Apple would not require cross-platform compatibility.

Thanks! We submitted a build with supportsTablet set to false and also submitted an appeal specifically stating that we intended the app only for iPhone and not iPad, and they approved it. (Our first build had it set to true by accident, and maybe that messed up some metadata in their review process.)

This topic was automatically closed 20 days after the last reply. New replies are no longer allowed.